<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	template="WEB-INF/templates/taskTemplate.xhtml">
	
	    <ui:define name="metadata">
	    
	   	<f:metadata>
			<f:viewParam name="taskId"></f:viewParam>
			<f:viewParam name="form"></f:viewParam>
			<f:event listener="#{businessProcess.startTask(taskId,true)}" type="preRenderView"></f:event>
		</f:metadata>
	</ui:define>
	
<ui:define name="form">
	<table class="cam-form">
		<tr>
			<td>Freigeben:</td>
			<td>
			    <h:selectOneRadio id="approval" value="#{approveInvoiceController.approved}" required="true" requiredMessage="Du musst Dich schon entscheiden!">
					<f:selectItem itemValue="true" itemLabel="Ja" />
					<f:selectItem itemValue="false" itemLabel="Nein" />					
				</h:selectOneRadio>				
			</td>
			<td class="validationError">
				<h:message for="approval"/>
			</td>
		</tr>				
		<tr>
			<td>Hinweise:</td>
			<td><h:inputTextarea value="#{processVariables['commentApprover']}" cols="30" rows="5"/></td>
		</tr>
	</table>
</ui:define>

</ui:composition>
